## org.codehaus.plexus.util.cli
Class Commandline.Argument

    java.lang.Object
      org.codehaus.plexus.util.cli.Commandline.Argument

All Implemented Interfaces:
  Arg

Enclosing class:
  Commandline

    public static class Commandline.Argument

extends java.lang.Object
implements Arg

Constructor Summary
`Commandline.Argument()`

Method Summary
`java.lang.String[]` `getParts()`
`void` `setFile(java.io.File value)`
`void` `setLine(java.lang.String line)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Commandline.Argument

    public Commandline.Argument()

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `Arg`

### setLine

    public void setLine(java.lang.String line)

  Specified by:
    `setLine` in interface `Arg`

### setFile

    public void setFile(java.io.File value)

  Specified by:
    `setFile` in interface `Arg`

### getParts

    public java.lang.String[] getParts()

  Specified by:
    `getParts` in interface `Arg`